## Script (Python) "getBedTypeNames"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
##
# $Id: getBedTypeNames.py 3784 2008-11-24 08:55:07Z henrik $

type_suffixes = [('all','Student'),
                 ('fr','New Student'),
                 ('fi','Final Student'),
                 ('re','Returning Student'),
                 ('reserved','Reserved'),
                 ('pr','PRE-NCE Student'),
                 ]
special = [item for item in context.portal_vocabularies.acco_special_handling.items()
                            if not item[0].startswith('no')]
for s,t in type_suffixes:
    special.append(('%s_ekenhuan' % s,'Ekenhuan Campus %s' % t))
    special.append(('%s_pti' % s,'PTI %s' % t))
    special.append(('%s_med' % s,'Medical %s' % t))
type_suffixes.extend(special)
dict = {}
for gender in ('female','male'):
    for suffix,desc in type_suffixes:
        dict['%s_%s' % (gender,suffix)] = '%s %s' % (gender.capitalize(),desc)
return dict

